Subject: Re: muteing speakers if headphones were plugged in?

From: [email-masked]
Date: Wed, 17 Apr 2002 19:56:26 +0100

>
>Is someone working on that issue to implement it for the other chipsets?

I think the Alsa driver can work on other chipsets. I don't know if
someone is working on it for dmasound, I don't think so.

On these (awacs, burgundy), I think you don't have to register a second
interrupt, the main chip interrupt will be called when the jack state
changes, you can probably act from there. A good source of info is the
darwin source code which contains source code for all of Apple sound
drivers.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/